__author__ = "Neil Muller"
__copyright__ = "Copyright (c) 2007 Neil Muller"
__license__ = "MIT-style"

"""
Hello world in pygame
"""

import pygame
import sys

pygame.display.init()
try:
    pygame.font.init()
except Exception, e:
    print "Unable to initialise font module"
    print e
    sys.exit()


size=(800,600)
screen=pygame.display.set_mode(size)
pygame.display.set_caption("Hello World")
screen=pygame.display.get_surface()

font=pygame.font.Font(None,90)
text=font.render('Hello World!',True,(128, 128, 128))
screen.blit(text,(10,10))
oSurface=screen.copy()
pygame.display.update()

oClock=pygame.time.Clock()
GreenColor=pygame.color.Color('green')
BlueColor=pygame.color.Color('blue')
tStartPos=(0,0)
tEndPos=(0,0)

while True:
    oClock.tick(80)
    for event in pygame.event.get():
        if event.type == pygame.QUIT:
            sys.exit()
        if event.type == pygame.KEYDOWN and event.key == pygame.K_q:
            sys.exit()
        if event.type == pygame.MOUSEBUTTONDOWN:
            tStartPos=event.pos
            if event.button==3:
                print "Flipped"
                oSurface=pygame.transform.flip(oSurface,True,False)
        if event.type == pygame.MOUSEMOTION:
            tEndPos=event.pos
            if event.buttons[0]==1:
                pygame.draw.line(oSurface,GreenColor,tStartPos,tEndPos)
            elif event.buttons[2]==1:
                pygame.draw.line(oSurface,BlueColor,tStartPos,tEndPos)
            tStartPos=tEndPos

    screen.blit(oSurface,(0,0))
    pygame.display.flip()
            
